--- title: "Modifies a user's details" slug: "modifies-a-users-details" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/modifies-a-users-details" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Modifies a user's details Put/api/v1/users/{userId} SecurityHTTPType bearer Path parametersuserIdstringRequired The ID of the user to modify Body parameters The user details to modify Expand Allobject firstNamestring lastNamestring mfaobject otpboolean Exampletrue scopestring tags Array of object object keystring valuestring telephoneNumberstring Responses201 Created Expand Allobject authorizationboolean dataobject (User) accountStatusstring authenticationDomains Array of object object idstring namestring typestring emailVerifiedboolean emailVerifiedAtstring fStatestring firstNamestring groupsstring lastLoggedInstring lastNamestring loginNamestring mailstring mfaobject orgLevelPolicystring otpboolean resetOTPboolean triggeredAtstring namestring objectGUIDstring organizationobject idstring levelinteger namestring pwdExpiryDaysinteger pwdLastSetAtstring sAMAccountNamestring scheduleAccessobject (ScheduleAccess) enabledboolean endstring notifyAtstring recurrenceobject byDay Array of string string byMonth Array of integer integer byMonthDay Array of integer integer bySetPos Array of integer integer endTimestring frequencystring intervalinteger startTimestring untilstring removeUserAfterLastScheduleboolean startstring timezonestring scopestring tagsobject keystring valuestring telephoneNumberstring timezonestring userPrincipalNamestring verifyEmailCountinteger verifyEmailTriggeredAtstring whenChangedstring whenCreatedstring error_codeinteger error_messagestring error_statusboolean Examplefalse 400 Bad Request Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 403 Forbidden - The status is still pending Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 404 Not Found Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 500 Internal Server Error Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean